Bug 119961 - Display Memory Leak
Display Memory Leak
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Matthias Clasen
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-04 03:40 EDT by Mace Moneta
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 14:02:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mace Moneta 2004-04-04 03:40:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040116

Description of problem:
Running the command:

display -update 5 -title Camera -size 320x240 /camera/current.jpg

Causes a small memory leak with each update.  The intent of this
command is to reload the same image (which is actually a symlink to a
changing image) every 5 seconds.  The original is 640x480, being
displayed in a 320x240 window.  If left running for several days, the
system will run out of memory and thrash until it crashes.  As this
type of function is frequently used for monitoring a camera, long
running execution is quite normal, making the ImageMagick display
command unusable.

Version-Release number of selected component (if applicable):
ImageMagick-5.5.6-5

How reproducible:
Always

Steps to Reproduce:
1.Create a symlink to a 640x480 jpg
2.Issue the display command:

display -update 5 -title Camera -size 320x240 /camera/current.jpg

3.Watch the memory disappear
    

Actual Results:  Out of memory

Expected Results:  Image should be reloadable forever, as long as it's
valid

Additional info:

I was displaying the image on a remote system, but I'm not sure that's
relevant.
Comment 1 Matthew Miller 2006-07-11 13:37:46 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 2 Mace Moneta 2006-07-11 14:02:05 EDT
Closing.  It's been years since I used that environment, and I have no idea if
the bug was ever resolved.  I remember I switch to using feh as a workaround to
display the files instead, which didn't exhibit the problem.

Note You need to log in before you can comment on or make changes to this bug.